gnutls_hmac_deinit(3)

NAME
gnutls_hmac_deinit - API function

SYNOPSIS
#include <gnutls/crypto.h>

void gnutls_hmac_deinit(gnutls_hmac_hd_t handle, void * digest);

ARGUMENTS

gnutls_hmac_hd_t handle
    is a gnutls_hmac_hd_t type

void * digest
    is the output value of the MAC

DESCRIPTION
This function will deinitialize all resources occupied by the given hmac context.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/